### Hierarchy

- Emitter
  - GridEvents

### Implements

- IEmitter
- IGridEvents

## Index

### Constructors

- constructor

### Properties

- listeners
- onListeners

### Accessors

- CELL_CLICKED
- CELL_DOUBLE_CLICKED
- CELL_HISTORY_CLICKED
- CELL_LINK_CLICKED
- CELL_RESET
- CELL_SELECTED
- CELL_VALUE
- DELETE
- EDITING
- NO_CELL
- RESIZED
- SELECTED_ALL

### Methods

- emit
- emitCellSelected
- off
- on
- register
- removeEvent
- removeEvents
- unRegister

## Constructors

### constructor

- new GridEvents(): GridEvents

- Overrides Emitter.constructor

  - Defined in Grid3/GridEvents.ts:21

  #### Returns GridEvents

## Properties

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

## Accessors

### CELL_CLICKED

- get CELL_CLICKED(): string

- - Defined in Grid3/GridEvents.ts:25

  #### Returns string

### CELL_DOUBLE_CLICKED

- get CELL_DOUBLE_CLICKED(): string

- - Defined in Grid3/GridEvents.ts:37

  #### Returns string

### CELL_HISTORY_CLICKED

- get CELL_HISTORY_CLICKED(): string

- - Defined in Grid3/GridEvents.ts:31

  #### Returns string

### CELL_LINK_CLICKED

- get CELL_LINK_CLICKED(): string

- - Defined in Grid3/GridEvents.ts:34

  #### Returns string

### CELL_RESET

- get CELL_RESET(): string

- - Defined in Grid3/GridEvents.ts:46

  #### Returns string

### CELL_SELECTED

- get CELL_SELECTED(): string

- - Defined in Grid3/GridEvents.ts:43

  #### Returns string

### CELL_VALUE

- get CELL_VALUE(): string

- - Defined in Grid3/GridEvents.ts:40

  #### Returns string

### DELETE

- get DELETE(): string

- - Defined in Grid3/GridEvents.ts:55

  #### Returns string

### EDITING

- get EDITING(): string

- - Defined in Grid3/GridEvents.ts:49

  #### Returns string

### NO_CELL

- get NO_CELL(): string

- - Defined in Grid3/GridEvents.ts:28

  #### Returns string

### RESIZED

- get RESIZED(): string

- - Defined in Grid3/GridEvents.ts:52

  #### Returns string

### SELECTED_ALL

- get SELECTED_ALL(): string

- - Defined in Grid3/GridEvents.ts:58

  #### Returns string

## Methods

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### emitCellSelected

- emitCellSelected(data: IGridEventCellSelected): void

- Implementation of IGridEvents.emitCellSelected

  - Defined in Grid3/GridEvents.ts:61

  #### Parameters

  - ##### data: IGridEventCellSelected

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IGridEvents.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IGridEvents.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc